Loading...
Searching...
No Matches
MssqlSqlUtilBase Namespace Reference

the MssqlSqlUtilBase namespace contains all the objects in the MssqlSqlUtilBase module More...

## Classes

class | MssqlCheckConstraint
| represents a Mssql-specific check constraint More...
class | MssqlColumn
| represents a Mssql-specific column More...
class | MssqlDatabase
| provides the Mssql-specific implementation of the AbstractDatabase interface More...
class | MssqlForeignConstraint
| represents a Mssql-specific foreign constraint More...
class | MssqlFunction
| represents a Mssql-specific function More...
class | MssqlIndex
| represents a Mssql-specific index More...
class | MssqlNumberDataType
| the data type for Mssql DECIMAL columns More...
class | MssqlNumericColumn
| represents a Mssql-specific numeric column More...
class | MssqlPrimaryKey
| represents a Mssql-specific primary key constraint More...
class | MssqlSavepointHelper
| Mssql savepoint helper. More...
class | MssqlSequence
| class for Mssql sequences More...
class | MssqlTable
| provides the Mssql-specific implementation of the SqlUtil::AbstractTable interface More...
class | MssqlTrigger
| represents a Mssql-specific trigger More...
class | MssqlUniqueConstraint
| class modeling a unique constraint More...
class | MssqlUniqueConstraintCommon
| common base class for unique constraints More...
class | MssqlView
| represents a Mssql view More...

## Functions

MssqlDatabase | get_database (AbstractDatasource nds, __7_ hash< auto > opts)
| returns a MssqlDatabase object corresponding to the arguments
MssqlTable | get_table (AbstractDatasource nds, string nname, __7_ hash< auto > opts)
| returns a MssqlTable object corresponding to the arguments

## Detailed Description

the MssqlSqlUtilBase namespace contains all the objects in the MssqlSqlUtilBase module